## milk.gui.experiment
Class MIGeneratorPropertyIteratorPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--milk.gui.experiment.MIGeneratorPropertyIteratorPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class MIGeneratorPropertyIteratorPanel
extends javax.swing.JPanel
implements java.awt.event.ActionListener

This panel controls setting a list of values for an arbitrary resultgenerator property for an experiment to iterate over.

See Also:
  Serialized Form

Field Summary
`protected weka.gui.GenericArrayEditor` `m_ArrayEditor` Allows editing of the custom property values
`protected javax.swing.JButton` `m_ConfigureBut` Click to select the property to iterate over
`protected MIExperiment` `m_Exp` The experiment this all applies to
`protected weka.core.FastVector` `m_Listeners` Listeners who want to be notified about editing status of this panel
`protected javax.swing.JComboBox` `m_StatusBox` Controls whether the custom iterator is used or not

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MIGeneratorPropertyIteratorPanel()` Creates the property iterator panel initially disabled.
`MIGeneratorPropertyIteratorPanel(MIExperiment exp)` Creates the property iterator panel and sets the experiment.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)` Handles the various button clicking type activities.
`void` `addActionListener(java.awt.event.ActionListener newA)` Add a listener interested in kowing about editor status changes
`boolean` `getEditorActive()` Returns true if the editor is currently in an active status---that is the array is active and able to be edited.
`static void` `main(java.lang.String[] args)` Tests out the panel from the command line.
`protected int` `selectProperty()` Gets the user to select a property of the current resultproducer.
`void` `setExperiment(MIExperiment exp)` Sets the experiment which will have the custom properties edited.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_ConfigureBut

    protected javax.swing.JButton m_ConfigureBut

  Click to select the property to iterate over

### m_StatusBox

    protected javax.swing.JComboBox m_StatusBox

  Controls whether the custom iterator is used or not

### m_ArrayEditor

    protected weka.gui.GenericArrayEditor m_ArrayEditor

  Allows editing of the custom property values

### m_Exp

    protected MIExperiment m_Exp

  The experiment this all applies to

### m_Listeners

    protected weka.core.FastVector m_Listeners

  Listeners who want to be notified about editing status of this panel

Constructor Detail

### MIGeneratorPropertyIteratorPanel

    public MIGeneratorPropertyIteratorPanel()

  Creates the property iterator panel initially disabled.

### MIGeneratorPropertyIteratorPanel

    public MIGeneratorPropertyIteratorPanel(MIExperiment exp)

  Creates the property iterator panel and sets the experiment.

Parameters:
  `exp` - a value of type 'Experiment'

Method Detail

### getEditorActive

    public boolean getEditorActive()

  Returns true if the editor is currently in an active status---that is the array is active and able to be edited.

  Returns:
    true if editor is active

### setExperiment

    public void setExperiment(MIExperiment exp)

  Sets the experiment which will have the custom properties edited.

  Parameters:
    `exp` - a value of type 'Experiment'

### selectProperty

    protected int selectProperty()

  Gets the user to select a property of the current resultproducer.

  Returns:
    APPROVE_OPTION if the selection went OK, otherwise the selection was cancelled.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handles the various button clicking type activities.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - a value of type 'ActionEvent'

### addActionListener

    public void addActionListener(java.awt.event.ActionListener newA)

  Add a listener interested in kowing about editor status changes

  Parameters:
    `newA` - an listener to add

### main

    public static void main(java.lang.String[] args)

  Tests out the panel from the command line.

  Parameters:
    `args` - ignored.